org.keycloak.services.managers

## Class OAuthClientManager.InstallationAdapterConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig
  - - org.keycloak.services.managers.OAuthClientManager.InstallationAdapterConfig

- Enclosing class:
    OAuthClientManager

      public static class OAuthClientManager.InstallationAdapterConfig
      extends BaseRealmConfig

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `credentials`
    `protected Boolean` | `publicClient`
    `protected String` | `resource`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `authServerUrl, realm, realmKey, sslRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientManager.InstallationAdapterConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getCredentials()`
    `Boolean` | `getPublicClient()`
    `String` | `getResource()`
    `void` | `setCredentials(Map<String,String> credentials)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setResource(String resource)`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `getAuthServerUrl, getRealm, getRealmKey, getSslRequired, setAuthServerUrl, setRealm, setRealmKey, setSslRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### publicClient

          protected Boolean publicClient

    - #### resource

          protected String resource

    - #### credentials

          protected Map<String,String> credentials

  - ### Constructor Detail

    - #### OAuthClientManager.InstallationAdapterConfig

          public OAuthClientManager.InstallationAdapterConfig()

  - ### Method Detail

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource(String resource)

    - #### getCredentials

          public Map<String,String> getCredentials()

    - #### setCredentials

          public void setCredentials(Map<String,String> credentials)

    - #### getPublicClient

          public Boolean getPublicClient()

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

Copyright © 2015. All Rights Reserved.